name: planb_logistic
description: "Plan B Logistics - Delivery Management Mobile App"
publish_to: 'none'

version: 1.0.0+1

environment:
  sdk: ^3.9.2

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.8

  flutter_riverpod: ^3.0.3
  riverpod_annotation: ^3.0.3

  animate_do: ^4.2.0
  lottie: ^3.0.0
  iconsax: ^0.0.8
  flutter_animate: ^4.3.0
  getwidget: ^7.0.0

  flutter_appauth: ^11.0.0
  flutter_secure_storage: ^9.2.4
  jwt_decoder: ^2.0.1

  http: ^1.2.2
  json_annotation: ^4.9.0

  flutter_localizations:
    sdk: flutter
  intl: ^0.20.2

  image_picker: ^1.0.7
  url_launcher: ^6.3.1
  permission_handler: ^12.0.1

  go_router: ^17.0.0
  shared_preferences: ^2.5.3
  http_interceptor: ^2.0.0
  google_navigation_flutter: ^0.6.5

dev_dependencies:
  flutter_test:
    sdk: flutter

  flutter_lints: ^6.0.0

  build_runner: ^2.4.14
  json_serializable: ^6.9.2
  riverpod_generator: ^3.0.3

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.
flutter:
  uses-material-design: true
  generate: true

  fonts:
    - family: Montserrat
      fonts:
        - asset: assets/fonts/Montserrat-VariableFont_wght.ttf
        - asset: assets/fonts/Montserrat-Italic-VariableFont_wght.ttf
          style: italic
    - family: IBMPlexMono
      fonts:
        - asset: assets/fonts/IBMPlexMono-Regular.ttf
        - asset: assets/fonts/IBMPlexMono-Italic.ttf
          style: italic
        - asset: assets/fonts/IBMPlexMono-Bold.ttf
          weight: 700
        - asset: assets/fonts/IBMPlexMono-BoldItalic.ttf
          weight: 700
          style: italic
        - asset: assets/fonts/IBMPlexMono-Medium.ttf
          weight: 500
        - asset: assets/fonts/IBMPlexMono-MediumItalic.ttf
          weight: 500
          style: italic
        - asset: assets/fonts/IBMPlexMono-Light.ttf
          weight: 300
        - asset: assets/fonts/IBMPlexMono-LightItalic.ttf
          weight: 300
          style: italic
